<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2020 osCommerce

  Released under the GNU General Public License
*/

class hook_admin_siteWide_ckedit {

  var $siteend = null;

    function listen_injectSiteEnd() {

    $good_pages = ['categories.php', 'manufacturers.php', 'newsletters.php', 'mail.php', 'info_pages.php'];

    if (in_array(basename($_SERVER['PHP_SELF']), $good_pages)) { 
      $this->siteend .= '<!-- ckedit -->' . PHP_EOL;

// If you use a local customized ckeditor, then enable the line below and disable the one for cdn version
//      $this->siteend .= '<script src="../ext/ckeditor/ckeditor.js"></script>' . PHP_EOL;
      $this->siteend .= '<script src="https://cdn.ckeditor.com/4.16.0/full-all/ckeditor.js"></script>' . PHP_EOL;

      $ckedit = <<<eod
<script>
// Change all texareas to ckeditor
var textareas = document.getElementsByTagName("textarea");
for (var i = 0; i < textareas.length; i++) {
  CKEDITOR.plugins.addExternal( 'bootstrapTabs', '/../ext/ckeditor_new/plugins/bootstrapTabs/', 'plugin.js' );
  CKEDITOR.replace(textareas[i].name, {
//    filebrowserBrowseUrl: '../ext/ckfinder/ckfinder.html',
//    filebrowserUploadUrl: '../ext/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
    extraPlugins: 'bootstrapTabs',
    contentsCss: 'https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/css/bootstrap.min.css' 
  });
}
// Load JS required by extraPlugins bootstrapTabs 
CKEDITOR.on('instanceReady', function(ev) {
    var jqScript = document.createElement('script');
    var bsScript = document.createElement('script');
    
    jqScript.src = 'https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js';
    bsScript.src = 'https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/js/bootstrap.min.js';

    var editorHead = ev.editor.document.$.head;

    editorHead.appendChild(jqScript);
    jqScript.onload = function() {
      editorHead.appendChild(bsScript);
    };
});
</script>
eod;

      $this->siteend .= $ckedit . PHP_EOL;
      return $this->siteend;
    } 
  }
}